<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: cr_alfa_extension_15082014.xml */
/* Generado: 2014-08-26 22:08:17 */

/* M�todos de acceso a los campos de la tabla cr_tipo_file */
abstract class BaseCr_tipo_fileBN
{
    /* Campos de la tabla */
    private $i_Idtipofile;    // idtipofile: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_View;    // View: ( no definido )
    private $d_FechaRegistro;    // FechaRegistro: ( no definido )
    private $s_UsuarioRegistro;    // UsuarioRegistro: ( no definido )
    private $i_Eliminado;    // Eliminado: ( no definido )
    private $d_FechaEliminado;    // FechaEliminado: ( no definido )
    private $s_UsuarioEliminado;    // UsuarioEliminado: ( no definido )
    private $s_SqlDes;    // SqlDes: ( no definido )

    /* Establece el valor del campo idtipofile */
    public function setIdtipofile( $i_Idtipofile )
    {
        $this->i_Idtipofile = $i_Idtipofile;
    }

    /* Obtiene el valor del campo idtipofile */
    public function getIdtipofile()
    {
        return $this->i_Idtipofile;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo View */
    public function setView( $s_View )
    {
        $this->s_View = $s_View;
    }

    /* Obtiene el valor del campo View */
    public function getView()
    {
        return $this->s_View;
    }

    /* Establece el valor del campo FechaRegistro */
    public function setFechaRegistro( $d_FechaRegistro )
    {
        $this->d_FechaRegistro = $d_FechaRegistro;
    }

    /* Obtiene el valor del campo FechaRegistro */
    public function getFechaRegistro()
    {
        return $this->d_FechaRegistro;
    }

    /* Establece el valor del campo UsuarioRegistro */
    public function setUsuarioRegistro( $s_UsuarioRegistro )
    {
        $this->s_UsuarioRegistro = $s_UsuarioRegistro;
    }

    /* Obtiene el valor del campo UsuarioRegistro */
    public function getUsuarioRegistro()
    {
        return $this->s_UsuarioRegistro;
    }

    /* Establece el valor del campo Eliminado */
    public function setEliminado( $i_Eliminado )
    {
        $this->i_Eliminado = $i_Eliminado;
    }

    /* Obtiene el valor del campo Eliminado */
    public function getEliminado()
    {
        return $this->i_Eliminado;
    }

    /* Establece el valor del campo FechaEliminado */
    public function setFechaEliminado( $d_FechaEliminado )
    {
        $this->d_FechaEliminado = $d_FechaEliminado;
    }

    /* Obtiene el valor del campo FechaEliminado */
    public function getFechaEliminado()
    {
        return $this->d_FechaEliminado;
    }

    /* Establece el valor del campo UsuarioEliminado */
    public function setUsuarioEliminado( $s_UsuarioEliminado )
    {
        $this->s_UsuarioEliminado = $s_UsuarioEliminado;
    }

    /* Obtiene el valor del campo UsuarioEliminado */
    public function getUsuarioEliminado()
    {
        return $this->s_UsuarioEliminado;
    }

    /* Establece el valor del campo SqlDes */
    public function setSqlDes( $s_SqlDes )
    {
        $this->s_SqlDes = $s_SqlDes;
    }

    /* Obtiene el valor del campo SqlDes */
    public function getSqlDes()
    {
        return $this->s_SqlDes;
    }

    /* Recupera un objeto Cr_tipo_fileBN desde un RecordSet */
    public static function retrieveByRs( $o_Cr_tipo_fileRs )
    {
        $o_Cr_tipo_fileBN = new Cr_tipo_fileBN();
        $o_Cr_tipo_fileBN->setIdtipofile( ( integer ) $o_Cr_tipo_fileRs[ "Idtipofile" ] );
        $o_Cr_tipo_fileBN->setDescripcion( $o_Cr_tipo_fileRs[ "Descripcion" ] );
        $o_Cr_tipo_fileBN->setEstado( $o_Cr_tipo_fileRs[ "Estado" ] );
        $o_Cr_tipo_fileBN->setView( $o_Cr_tipo_fileRs[ "View" ] );
        $o_Cr_tipo_fileBN->setFechaRegistro( utilTimestamp::getTimestamp( $o_Cr_tipo_fileRs[ "FechaRegistro" ], "Y-m-d" ) );
        $o_Cr_tipo_fileBN->setUsuarioRegistro( $o_Cr_tipo_fileRs[ "UsuarioRegistro" ] );
        $o_Cr_tipo_fileBN->setEliminado( ( integer ) $o_Cr_tipo_fileRs[ "Eliminado" ] );
        $o_Cr_tipo_fileBN->setFechaEliminado( utilTimestamp::getTimestamp( $o_Cr_tipo_fileRs[ "FechaEliminado" ], "Y-m-d" ) );
        $o_Cr_tipo_fileBN->setUsuarioEliminado( $o_Cr_tipo_fileRs[ "UsuarioEliminado" ] );
        $o_Cr_tipo_fileBN->setSqlDes( $o_Cr_tipo_fileRs[ "SqlDes" ] );
        return $o_Cr_tipo_fileBN;
    }
}
?>